## cascading.pipe.assembly
Class Rename

    java.lang.Object
      cascading.pipe.Pipe
          cascading.pipe.SubAssembly
              cascading.pipe.assembly.Rename

All Implemented Interfaces:
  FlowElement, Serializable

    public class Rename

extends SubAssembly

Class Rename is a `SubAssembly` that will rename the fromFields to the names in toFields.

Note that if any input field names are not given, they will retain their names.

See Also:
  Serialized Form

Field Summary

Fields inherited from class cascading.pipe.Pipe
`previous`

Constructor Summary
`Rename(Pipe previous, Fields fromFields, Fields toFields)` Rename the fromFields in the current Tuple to the given toFields.

Method Summary

Methods inherited from class cascading.pipe.SubAssembly
`getName, getPrevious, getTailNames, getTails, setTails, unwind`

Methods inherited from class cascading.pipe.Pipe
`equals, getHeads, getTrace, hashCode, isEquivalentTo, names, outgoingScopeFor, pipes, print, printInternal, resolveFields, resolveIncomingOperationFields, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Rename

    @ConstructorProperties(value={"previous","fromFields","toFields"})
    public Rename(Pipe previous,
                                             Fields fromFields,
                                             Fields toFields)

  Rename the fromFields in the current Tuple to the given toFields.

       incoming: {"first", "middle", "last"} -> from:{"middle"} to:{"initial"} -> outgoing:{"first", "last", "initial"}

  Parameters:
    `previous` - of type Pipe
    `fromFields` - of type Fields
    `toFields` - of type Fields

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.